Bug 630298 - Review Request: ghc-sendfile - A portable sendfile library
Review Request: ghc-sendfile - A portable sendfile library
Status: CLOSED DUPLICATE of bug 812384
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-04 13:06 EDT by Ben Boeckel
Modified: 2012-07-09 21:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-09 07:41:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-04 13:06:02 EDT
Spec URL: http://benboeckel.net/packaging/ghc-sendfile/ghc-sendfile.spec
SRPM URL: http://benboeckel.net/packaging/ghc-sendfile/ghc-sendfile-0.7.2-1.fc14.src.rpm
Description:
A library which exposes zero-copy sendfile functionality in a
portable way. If a platform does not support sendfile, a
fallback implementation in haskell is provided.

% lintmock fedora-14-x86_64-bb
ghc-sendfile.src: W: spelling-error %description -l en_US haskell -> Gaskell, Gaitskell, skellum
ghc-sendfile.src: W: strange-permission ghc-sendfile.spec 0640L
ghc-sendfile.src: W: strange-permission sendfile-0.7.2.tar.gz 0640L
ghc-sendfile.x86_64: W: spelling-error %description -l en_US haskell -> Gaskell, Gaitskell, skellum
ghc-sendfile-devel.x86_64: W: spelling-error %description -l en_US haskell -> Gaskell, Gaitskell, skellum
ghc-sendfile-prof.x86_64: E: devel-dependency ghc-sendfile-devel
ghc-sendfile-prof.x86_64: W: spelling-error %description -l en_US haskell -> Gaskell, Gaitskell, skellum
ghc-sendfile-prof.x86_64: W: no-documentation
ghc-sendfile-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/sendfile-0.7.2/libHSsendfile-0.7.2_p.a
4 packages and 0 specfiles checked; 1 errors, 8 warnings.
Comment 1 Jens Petersen 2011-01-28 06:07:17 EST
As earlier discussed on Fedora haskell-devel list,
dropping libraries for now from the toplevel of Haskell-pkg-reviews,
so we, the Haskell SIG, can focus more on getting Haskell apps into Fedora.

To get you library back under the tracker please submit a bin or binlib
package that depends on this library and make this bug block that package
review.  It is a good idea to submit full stacks of packages and then
to add the toplevel program to the tracker.
Comment 2 Jens Petersen 2011-10-24 21:32:01 EDT
happstack-server still seems to depend on this...

http://packdeps.haskellers.com/reverse/sendfile
Comment 3 Ben Boeckel 2012-03-02 22:46:34 EST
Spec URL: http://benboeckel.net/packaging/ghc-sendfile/ghc-sendfile.spec
SRPM URL: http://benboeckel.net/packaging/ghc-sendfile/ghc-sendfile-0.7.4-1.fc18.src.rpm

ghc-sendfile.src: W: spelling-error %description -l en_US haskell -> Haskell
ghc-sendfile.src: W: strange-permission ghc-sendfile.spec 0640L
ghc-sendfile.src: W: strange-permission sendfile-0.7.4.tar.gz 0640L
ghc-sendfile.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
ghc-sendfile-devel.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
3 packages and 0 specfiles checked; 0 errors, 5 warnings.
Comment 4 Shakthi Kannan 2012-07-09 07:41:36 EDT

*** This bug has been marked as a duplicate of bug 812384 ***
Comment 5 Jens Petersen 2012-07-09 21:01:45 EDT
Ah thanks - good catch - I must have missed this one when I filed 812384.

Note You need to log in before you can comment on or make changes to this bug.